<!--
 * @Title: 
 * @Description: 当天巡检填报信息列表
 * @Author: swp
 * @Date: 2022-08-24 10:49:21
 * @LastEditors: 
 * @LastEditTime: 2022-08-24 10:49:21
-->
<template>
    <div>
        <el-row>
            <el-col :span="24">
                <basic-container>
                    <avue-crud :option="option" :table-loading="loading" :page.sync="page" :data="data" ref="crud"
                        v-model="form" :permission="permissionList" @row-del="rowDel" @row-update="rowUpdate"
                        @row-save="rowSave" @search-change="searchChange" @search-reset="searchReset"
                        @selection-change="selectionChange" @current-change="currentChange" @size-change="sizeChange"
                        @refresh-change="refreshChange" @on-load="onLoad">
                    </avue-crud>
                </basic-container>
            </el-col>
        </el-row>
    </div>
</template>
<script>
import { todayInspectionReportPage, getDetail } from "@/api/business/inspection/inspectionreport.js";
export default {
    components: {},
    name: 'todaynspectionrportlist',
    data() {
        return {
            id: "",
            form: {},
            selectionList: [],
            query: {},
            loading: true,
            page: {
                pageSize: 10,
                currentPage: 1,
                total: 0,
            },
            option: {
                labelWidth: 120,
                viewLabelWidth: 100,
                searchlabelWidth: 100,
                height: "auto",
                calcHeight: 80,
                align: "center",
                headerAlign: "center",
                tip: false,
                simplePage: true,
                searchShow: true,
                searchMenuSpan: 6,
                addBtn: false,
                tree: true,
                border: true,
                index: true,
                editBtn: false,
                delBtn: false,
                menuWidth: 200,
                dialogType: "drawer",
                dialogClickModal: false,
                columnBtn: false,
                menu: false,
                column: [
                    {
                        label: "测站名称",
                        prop: "rtuName",
                        span: 24,
                        search: true,
                    },
                    {
                        label: "测站编码",
                        prop: "rtuCode",
                        span: 24,
                        search: true,
                    },
                    {
                        label: "行政区",
                        prop: "adCity",
                        span: 12,
                        html: true,
                        formatter: (val) => {
                            if (val.adDist) {
                                return '<b>' + val.adCity + '</b>/' + '<b>' + val.adDist + '</b>'
                            } else {
                                return '<b>' + val.adCity + '</b>'
                            }
                        }
                    },
                    {
                        label: "运维单位",
                        prop: "manageCompany",
                        span: 12,
                    },
                    {
                        label: "填报人",
                        prop: "servicePersonName",
                        span: 24,
                    },
                    {
                        label: "填报时间",
                        prop: "updateTime",
                        span: 24,
                    },
                ],
            },
            data: [],
        };
    },
    props: {

    },
    create() {

    },
    methods: {
        init() {
            this.onLoad(this.page);
        },
        searchReset() {
            this.query = {};
            this.page.currentPage = 1;
            this.onLoad(this.page);
        },
        searchChange(params, done) {
            this.query = params;
            this.page.currentPage = 1;
            this.onLoad(this.page, params);
            done();
        },
        selectionChange(list) {
            this.selectionList = list;
        },
        selectionClear() {
            this.selectionList = [];
            this.$refs.crud.toggleSelection();
        },
        beforeOpen(done, type) {
            if (["edit", "view"].includes(type)) {
                getDetail(this.form.id).then((res) => {
                    this.form = res.data.data;
                });
            }
            done();
        },
        currentChange(currentPage) {
            this.page.currentPage = currentPage;
        },
        sizeChange(pageSize) {
            this.page.pageSize = pageSize;
        },
        refreshChange() {
            var params = {};
            this.onLoad(this.page, params);
        },
        onLoad(page, params = {}) {
            this.loading = true;
            console.log(params)
            todayInspectionReportPage(
                page.currentPage,
                page.pageSize,
                Object.assign(params, this.query)
            ).then((res) => {

                const data = res.data.data;
                this.page.total = data.total;
                this.data = data.records;

                this.loading = false;
                this.selectionClear();
            });
        },
    },
};
</script>
